Bug 219771 - Make MixedContentChecker stateless
Summary: Make MixedContentChecker stateless
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Rob Buis
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-12-11 01:25 PST by Rob Buis
Modified: 2020-12-17 03:15 PST (History)
12 users (show)

See Also:


Attachments
Patch (23.34 KB, patch)
2020-12-11 01:27 PST, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (23.52 KB, patch)
2020-12-13 09:07 PST, Rob Buis
no flags Details | Formatted Diff | Diff
Patch (23.66 KB, patch)
2020-12-17 00:38 PST, Rob Buis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Buis 2020-12-11 01:25:41 PST
Make MixedContentChecker stateless.
Comment 1 Rob Buis 2020-12-11 01:27:21 PST
Created attachment 415978 [details]
Patch
Comment 2 Rob Buis 2020-12-13 09:07:56 PST
Created attachment 416120 [details]
Patch
Comment 3 Alex Christensen 2020-12-16 12:47:44 PST
Comment on attachment 416120 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=416120&action=review

> Source/WebCore/Modules/websockets/WorkerThreadableWebSocketChannel.cpp:413
>          if (document.frame()) {

if (auto* frame = document.frame())

> Source/WebCore/loader/DocumentThreadableLoader.cpp:593
>      if (m_document.frame()) {

if (auto* frame = m_document.frame())

> Source/WebCore/loader/MixedContentChecker.cpp:59
> +    frame.document()->addConsoleMessage(MessageSource::Security, MessageLevel::Warning, message);

Let's null check the document just because we can.

> Source/WebCore/loader/MixedContentChecker.h:-69
> -    Frame& m_frame;

Nice.
Comment 4 Rob Buis 2020-12-17 00:38:07 PST
Created attachment 416401 [details]
Patch
Comment 5 EWS 2020-12-17 03:14:23 PST
Committed r270931: <https://trac.webkit.org/changeset/270931>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 416401 [details].
Comment 6 Radar WebKit Bug Importer 2020-12-17 03:15:45 PST
<rdar://problem/72420479>